## node-websocket 1.0.19

=== debian/changelog ===
node-websocket (1.0.19-1~bpo8+1) jessie-backports; urgency=medium

  * Build for jessie-backports.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 29 Sep 2015 22:11:52 +0200

node-websocket (1.0.19-1) unstable; urgency=low

  * Initial upload (Closes: #790963)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 03 Jul 2015 13:11:03 +0200
