## node-websocket 1.0.22

=== debian/changelog ===
node-websocket (1.0.22-2) unstable; urgency=low

  * Update libjs-websocket description.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 30 Sep 2015 10:20:32 +0200

node-websocket (1.0.22-1) unstable; urgency=medium

  * New upstream release.
  * Supports node-nan >= 2.0.  (Closes: #799656)

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 29 Sep 2015 14:07:02 +0200

node-websocket (1.0.19-2) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 12:25:04 +0200
