=== debian/control ===
Source: node-websocket
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan (>= 2.0.0)
Standards-Version: 3.9.6
Homepage: https://github.com/theturtle32/WebSocket-Node
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-websocket.git/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-websocket.git

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-websocket, node-nan (>= 2.0.0), node-typedarray-to-buffer, node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.
