=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_clean:
	rm -rf debian/build
	rm -rf build .pc

override_dh_auto_build:
	dh_auto_build
	for _FILE in index.js lib/*.js vendor/*.js ; \
	do \
		install -D $${_FILE} debian/build/$${_FILE}; \
		$(js-compressor)  -o debian/build/$$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

# Uscan will read debian/watch, grab the correct version, repack and leave
# it in the current directory
get-orig-source:
	uscan --no-conf --force-download --rename --repack --download-current-version --destdir=.
