## node-websocket 1.0.23

=== debian/changelog ===
node-websocket (1.0.23-3) unstable; urgency=medium

  * Team Upload
  * Use node-websocket.install not relying upon indep target

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 17:38:44 +0100

node-websocket (1.0.23-2) unstable; urgency=medium

  * Team Upload
  * Override rules for arch and indep

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 15:24:25 +0100

node-websocket (1.0.23-1) unstable; urgency=medium

  * Team Upload
  * Imported upstream version 1.0.23
  * Use dh nodejs
  * Secure Vcs url
  * Standards-Version 3.9.8
  * MIT is Expat
  * Fix order of section in copyright (general to particular)
  * dh installdocs already takes care of CHANGELOG.md
  * shlibdeps, strip *.node files
  * Bundle yaeti as module
  * Patch to run tests using tap
  * Build-Depends node-tap, node-buffer-equal for tests
  * Run tests during build
  * Do not remove .pc on clean

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 13:12:21 +0100
