=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan (>= 2.0.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), nodejs-dev, node-uglify, node-gyp, node-nan (>= 2.0.0), node-tap, node-buffer-equal, node-typedarray-to-buffer, node-debug
+Standards-Version: 3.9.8
 Homepage: https://github.com/theturtle32/WebSocket-Node
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-websocket.git/
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-websocket.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-websocket.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-websocket.git
 
 Package: libjs-websocket
 Architecture: all
