=== debian/watch ===
version=3
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/v(\d[\d\.]+)\.tar\.gz
