## node-websocket 1.0.28

=== debian/changelog ===
node-websocket (1.0.28-3) unstable; urgency=medium

  * Team upload
  * Fix patch, forgot to update other ports

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 00:53:50 +0100

node-websocket (1.0.28-2) unstable; urgency=medium

  * Add patch to increase timeouts

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 00:28:38 +0100

node-websocket (1.0.28-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.28
  * Section: javascript
  * Update Vcs-* fields
  * Use https in copyright format url
  * Build against libnode-dev, using dh 10, node-gyp >= 3.8.0-2
  * Build-Depends node-tape, drop node-tap patch
  * Check nocheck for tests
  * Drop useless get-orig-source
  * Standards-Version 4.3.0
  * Drop useless patches
  * Patch to use a less known port for tests
    (Closes: #918441,#865510)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 24 Jan 2019 22:51:29 +0100

node-websocket (1.0.23-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run dh_nodejs against libjs-websocket, because that is an arch
    all package with no ABI dependencies.  We don't want shared library
    dependencies on an arch all package because it breaks the ability to
    do binary NMUs for library transitions, Closes: #877469

 -- Sam Hartman <hartmans@debian.org>  Tue, 11 Dec 2018 08:50:44 -0500
