=== debian/control ===
Source: node-websocket
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 10.0.0), libnode-dev, node-uglify, node-gyp (>= 3.8.0-2), node-nan (>= 2.0.0), node-tape, node-buffer-equal, node-typedarray-to-buffer, node-debug
Standards-Version: 4.3.0
Homepage: https://github.com/theturtle32/WebSocket-Node
Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3), libjs-websocket, node-typedarray-to-buffer, node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.
