=== debian/tests/control ===
Test-Command: node -e "require('websocket')"
Depends: node-websocket

Test-Command: tape test/unit/*
Depends: @, @builddeps@
