## node-websocket 1.0.31

=== debian/changelog ===
node-websocket (1.0.31-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use pkg-js-tools auto test & install
  * Replace embedded yaeti by uscan component
  * New upstream version 1.0.31
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sun, 02 Feb 2020 10:43:22 +0100
