=== debian/control ===
Source: node-websocket
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , libnode-dev
 , node-uglify
 , node-gyp (>= 3.8.0-2)
 , node-nan (>= 2.0.0)
 , node-tape <!nocheck>
 , node-buffer-equal <!nocheck>
 , node-typedarray-to-buffer <!nocheck>
 , node-debug <!nocheck>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
Homepage: https://github.com/theturtle32/WebSocket-Node
Rules-Requires-Root: no

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
 , node-typedarray-to-buffer
 , node-debug
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.
