=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with nodejs

override_dh_auto_build-arch:
	node-gyp configure build

override_dh_auto_build-indep:
	for _FILE in index.js lib/*.js vendor/*.js ; \
	do \
		install -D $${_FILE} debian/build/$${_FILE}; \
		$(js-compressor)  -o debian/build/$$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done
