=== debian/watch ===
version=3
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/v(\d[\d\.]+)\.tar\.gz

opts=\
component=yaeti,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yaeti-$1.tar.gz/ \
 https://github.com/ibc/yaeti/tags .*/archive/v?(0[\d\.]+).tar.gz ignore
