## node-websocket 1.0.33%2B~cs9.0.11

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: node-websocket
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
+Uploaders: Xavier Guimard <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , libnode-dev
- , node-uglify
- , node-gyp (>= 3.8.0-2)
+ , mocha <!nocheck>
+ , node-buffer-equal <!nocheck>
+ , node-debug <!nocheck>
+ , node-es5-ext <!nocheck>
+ , node-gyp
  , node-nan (>= 2.0.0)
  , node-tape <!nocheck>
- , node-buffer-equal <!nocheck>
  , node-typedarray-to-buffer <!nocheck>
- , node-debug <!nocheck>
- , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+ , uglifyjs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
 Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
 Homepage: https://github.com/theturtle32/WebSocket-Node
@@ -33,11 +35,13 @@
 
 Package: node-websocket
 Architecture: any
+Provides: ${nodejs:Provides}
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
  , nodejs
+ , node-debug
+ , node-es5-ext
  , node-typedarray-to-buffer
- , node-debug
 Description: WebSocket implementation for NodeJS
  An implementation of the WebSocket API for NodeJS.
