=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,10 @@
 
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
-override_dh_auto_build-arch:
-	node-gyp configure build
-
-override_dh_auto_build-indep:
+override_dh_auto_build:
+	dh_auto_build --buildsystem=nodejs
 	for _FILE in index.js lib/*.js vendor/*.js ; \
 	do \
 		install -D $${_FILE} debian/build/$${_FILE}; \
