## node-websocket 1.0.33+~cs9.0.11

=== debian/changelog ===
node-websocket (1.0.33+~cs9.0.11-2) unstable; urgency=medium

  * Replace override_dh_auto_build-indep by override_dh_auto_build:
    pkg-js-tools is not compatible (see #977742)

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Dec 2020 10:49:08 +0100

node-websocket (1.0.33+~cs9.0.11-1) unstable; urgency=medium

  [ Tobias Frost ]
  * Updating the Uploaders list (Closes: #953504)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Xavier Guimard ]
  * Embed bufferutil and utf-8-validate
  * New upstream version 1.0.33+~cs9.0.11
  * Update build
  * Update coyright
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Use dh-sequence-nodejs
  * Set myself as uploader
  * Install doc

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Dec 2020 15:44:37 +0100
