=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-websocket-$1.tar.gz/ \
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/v(\d[\d\.]+)\.tar\.gz group

opts=\
component=yaeti,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yaeti-$1.tar.gz/ \
 https://github.com/ibc/yaeti/tags .*/archive/v?(0[\d\.]+).tar.gz checksum

opts=\
component=bufferutil,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-bufferutil-$1.tar.gz/ \
 https://github.com/websockets/bufferutil/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=utf-8-validate,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-utf-8-validate-$1.tar.gz/ \
 https://github.com/websockets/utf-8-validate/tags .*/archive/v?([\d\.]+).tar.gz checksum
