## node-websocket 1.0.34%2B~cs10.0.25

=== debian/control ===
Source: node-websocket
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , libnode-dev
 , mocha <!nocheck>
 , node-buffer-equal <!nocheck>
 , node-debug <!nocheck>
 , node-es5-ext <!nocheck>
 , node-gyp
 , node-nan
 , node-tape <!nocheck>
 , node-typedarray-to-buffer <!nocheck>
 , terser
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
Homepage: https://github.com/theturtle32/WebSocket-Node
Rules-Requires-Root: no

Package: libjs-websocket
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: WebSocket implementation for NodeJS, standalone API for browser
 An implementation of the WebSocket API for NodeJS.
 .
 This is the code for using the API in the browser, where a WebSocket
 implementation is already present.

Package: node-websocket
Architecture: any
Provides: ${nodejs:Provides}
Depends: ${misc:Depends}
 , ${shlibs:Depends}
 , node-debug
 , node-es5-ext
 , node-typedarray-to-buffer
Multi-Arch: same
Description: WebSocket implementation for NodeJS
 An implementation of the WebSocket API for NodeJS.
 .
 WebSocket is a computer communications protocol, providing full-duplex
 communication channels over a single TCP connection.
 The WebSocket protocol was standardized by the IETF as RFC 6455.
 .
 Node.js is an event-based server-side JavaScript engine.
