## node-websocket 1.0.34+~cs10.0.25

=== debian/changelog ===
node-websocket (1.0.34+~cs10.0.25-2) unstable; urgency=medium

  * Better build
  * Update lintian override info format in d/source/lintian-overrides on
    line 4-5
  * Update standards version to 4.6.2, no changes needed
  * Use terser instead of uglifyjs

 -- Yadd <yadd@debian.org>  Sat, 06 Jan 2024 07:05:43 +0400

node-websocket (1.0.34+~cs10.0.25-1) unstable; urgency=medium

  [ lintian-brush ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.

  [ Yadd ]
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Embed typescript declarations
  * New upstream version 1.0.34+~cs10.0.25, updates:
    + websocket 1.0.34
    + bufferutil 4.0.6
    + utf-8-validate 5.0.8
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Mon, 31 Jan 2022 17:06:00 +0100

node-websocket (1.0.33+~cs9.0.11-3) unstable; urgency=medium

  * Team upload
  * MA: same
  * Improve description

 -- Bastien Roucariès <rouca@debian.org>  Sat, 18 Sep 2021 14:12:59 +0000
