## node-websocket 1.0.35%2B~cs11.0.30

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq (armel, $(DEB_HOST_ARCH))
	CFLAGS += -O1
endif

export CFLAGS

%:
	dh $@

execute_after_dh_install:
	perl -i -pe 's/-ffile-prefix-map=\S+//' `find debian/node-*/ -name '*.o.d'`
