## node-websocket 1.0.35+~cs11.0.28

=== debian/changelog ===
node-websocket (1.0.35+~cs11.0.28-1) unstable; urgency=medium

  * Declare compliance with policy 4.7.0
  * New upstream version 1.0.35+~cs11.0.28
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 16 Jun 2024 12:59:35 +0400
