=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,6 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-ifeq (armel, $(DEB_HOST_ARCH))
-	CFLAGS += -O1
-endif
-
-export CFLAGS
 
 %:
 	dh $@
-
-execute_after_dh_install:
-	perl -i -pe 's/-ffile-prefix-map=\S+//' `find debian/node-*/ -name '*.o.d'`
