## node-websocket 1.0.35+~cs11.0.30

=== Makefile ===
autobahn:
	@NODE_PATH=lib node test/autobahn-test-client.js --host=127.0.0.1 --port=9000

autobahn-server:
	@NODE_PATH=lib node test/echo-server.js
