=== deps/is_utf8/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(is_utf8
   DESCRIPTION "Fast UTF-8 Validation"
   LANGUAGES CXX
-  VERSION 1.3.2
+  VERSION 1.4.1
 )
 
 include(GNUInstallDirs)
@@ -29,7 +29,7 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_MACOSX_RPATH OFF)
 
-set(IS_UTF8_LIB_VERSION "1.3.2" CACHE STRING "is_utf8 library version")
+set(IS_UTF8_LIB_VERSION "1.4.1" CACHE STRING "is_utf8 library version")
 set(IS_UTF8_LIB_SOVERSION "1" CACHE STRING "is_utf8 library soversion")
 
 set(IS_UTF8_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
