=== debian/changelog ===
node-websocket (1.0.35+~cs11.0.30-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.35+~cs11.0.30
  * w/a armel gcc optimization bug by compiling with -O1 optimization
    Closes: #1100540.

  [ Yadd ]
  * Render build reproducible

 -- Jérémy Lal <kapouer@melix.org>  Sat, 15 Mar 2025 18:29:40 +0100
