=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  , node-tape <!nocheck>
  , node-typedarray-to-buffer <!nocheck>
  , terser
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-websocket
 Vcs-Git: https://salsa.debian.org/js-team/node-websocket.git
 Homepage: https://github.com/theturtle32/WebSocket-Node
