=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-websocket-$1/ \
https://github.com/theturtle32/WebSocket-Node/tags .*/archive/.*/v(\d[\d\.]+)\.tar\.gz group

opts=\
component=yaeti,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-yaeti-$1/ \
 https://github.com/ibc/yaeti/tags .*/archive/.*/v?(0[\d\.]+).tar.gz checksum

opts=\
component=bufferutil,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bufferutil-$1/ \
 https://github.com/websockets/bufferutil/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

opts=\
component=utf-8-validate,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-utf-8-validate-$1/ \
 https://github.com/websockets/utf-8-validate/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-websocket,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-websocket-$1/" \
 https://registry.npmjs.org/@types/websocket https://registry.npmjs.org/@types/websocket/-/websocket-([\d\.]+)@ARCHIVE_EXT@ checksum
